(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     30628,        680]
NotebookOptionsPosition[     29969,        656]
NotebookOutlinePosition[     30304,        671]
CellTagsIndexPosition[     30261,        668]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"tmin", "=", " ", "0.174"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tmax", "=", "70.0"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Nmax", "=", "5"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zm", "=", 
   RowBox[{"Log", "[", 
    RowBox[{"Rationalize", "[", 
     RowBox[{"tmax", "/", "tmin"}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"gamm", "[", 
    RowBox[{"a_", ",", "z_"}], "]"}], "=", 
   RowBox[{"Gamma", "[", 
    RowBox[{"a", ",", "0", ",", "z"}], "]"}]}], ";"}], "\n", 
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"J", "[", 
     RowBox[{"k", ",", "j"}], "]"}], "=", 
    RowBox[{"Re", "[", 
     RowBox[{"N", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"gamm", "[", 
         RowBox[{
          RowBox[{"j", "+", "1"}], ",", 
          RowBox[{
           RowBox[{"-", "k"}], " ", "zm"}]}], "]"}], "/", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"-", "k"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{"j", "+", "1"}], ")"}]}]}], ",", "130"}], "]"}], "]"}]}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", 
     RowBox[{
      RowBox[{"2", " ", "Nmax"}], "+", "1"}]}], "}"}]}], "]"}], "\n", 
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"J", "[", 
     RowBox[{"4", ",", "j"}], "]"}], "=", 
    RowBox[{"Re", "[", 
     RowBox[{"N", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"gamm", "[", 
         RowBox[{
          RowBox[{"j", "+", "1"}], ",", 
          RowBox[{
           RowBox[{"-", "4"}], " ", "zm"}]}], "]"}], "/", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"-", "4"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{"j", "+", "1"}], ")"}]}]}], ",", "130"}], "]"}], "]"}]}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "0", ",", 
     RowBox[{
      RowBox[{"2", " ", "Nmax"}], "+", "1"}]}], "}"}]}], "]"}], "\n", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"a", "[", 
          RowBox[{"n", ",", "j"}], "]"}], "=", 
         RowBox[{
          RowBox[{"J", "[", 
           RowBox[{"2", ",", "j"}], "]"}], "/", 
          RowBox[{"J", "[", 
           RowBox[{"2", ",", 
            RowBox[{"n", "+", "1"}]}], "]"}]}]}], ";", 
        RowBox[{
         RowBox[{"a", "[", 
          RowBox[{
           RowBox[{"n", "+", "1"}], ",", "j"}], "]"}], "=", 
         RowBox[{
          RowBox[{"J", "[", 
           RowBox[{"4", ",", "j"}], "]"}], "/", 
          RowBox[{"J", "[", 
           RowBox[{"4", ",", 
            RowBox[{"n", "+", "1"}]}], "]"}]}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}], ";", 
     RowBox[{
      RowBox[{"b", "[", "n", "]"}], "=", 
      RowBox[{"-", "1"}]}], ";", 
     RowBox[{
      RowBox[{"b", "[", 
       RowBox[{"n", "+", "1"}], "]"}], "=", 
      RowBox[{"-", "1"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"a", "[", 
         RowBox[{"m", ",", "j"}], "]"}], "=", 
        RowBox[{"NSum", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"J", "[", 
            RowBox[{"1", ",", 
             RowBox[{"i", "+", "j"}]}], "]"}], " ", 
           RowBox[{"c", "[", 
            RowBox[{"m", ",", "i"}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "0", ",", 
            RowBox[{"m", "+", "1"}]}], "}"}], ",", 
          RowBox[{"WorkingPrecision", "\[Rule]", "80"}], ",", 
          RowBox[{"NSumTerms", "\[Rule]", "Nmax"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", "1", ",", 
         RowBox[{"n", "-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"bb", "[", "m", "]"}], "=", 
        RowBox[{"-", 
         RowBox[{"NSum", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"J", "[", 
             RowBox[{"1", ",", 
              RowBox[{"i", "+", "n", "+", "1"}]}], "]"}], " ", 
            RowBox[{"c", "[", 
             RowBox[{"m", ",", "i"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"i", ",", "0", ",", 
             RowBox[{"m", "+", "1"}]}], "}"}], ",", 
           RowBox[{"WorkingPrecision", "\[Rule]", "80"}], ",", 
           RowBox[{"NSumTerms", "\[Rule]", "Nmax"}]}], "]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", "1", ",", 
         RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"a", "[", 
         RowBox[{"m", ",", "j"}], "]"}], "=", 
        RowBox[{
         RowBox[{"a", "[", 
          RowBox[{"m", ",", "j"}], "]"}], "/", 
         RowBox[{"bb", "[", "m", "]"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", "1", ",", 
         RowBox[{"n", "-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}], ";", 
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"b", "[", "m", "]"}], "=", "1"}], ",", 
       RowBox[{"{", 
        RowBox[{"m", ",", "1", ",", 
         RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"A", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"a", "[", 
         RowBox[{"i", ",", "j"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"n", "+", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
     RowBox[{"B", "=", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"b", "[", "i", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"CC", "=", 
      RowBox[{"LinearSolve", "[", 
       RowBox[{"A", ",", "B"}], "]"}]}], ";", 
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c", "[", 
         RowBox[{"n", ",", "j"}], "]"}], "=", 
        RowBox[{"CC", "[", 
         RowBox[{"[", 
          RowBox[{"j", "+", "1"}], "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}], ";", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"n", ",", 
        RowBox[{"n", "+", "1"}]}], "]"}], "=", "1"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"tt", "[", 
       RowBox[{"n", ",", "z_"}], "]"}], "=", 
      RowBox[{"Simplify", "[", 
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"c", "[", 
           RowBox[{"n", ",", "j"}], "]"}], " ", 
          RowBox[{"z", "^", "j"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "0", ",", 
           RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"roots", "=", 
      RowBox[{"NSolve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"tt", "[", 
          RowBox[{"n", ",", "z"}], "]"}], "\[Equal]", "0"}], ",", "z", ",", 
        " ", 
        RowBox[{"WorkingPrecision", "\[Rule]", "50"}]}], "]"}]}], ";", 
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"r", "[", 
         RowBox[{"n", ",", "j"}], "]"}], "=", 
        RowBox[{"N", "[", 
         RowBox[{
          RowBox[{"roots", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "1", ",", "2"}], "]"}], "]"}], ",", " ", "50"}],
          "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"j", ",", "1", ",", 
         RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"t", "[", 
       RowBox[{"n", ",", "z_"}], "]"}], "=", 
      RowBox[{"Product", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"z", "-", 
          RowBox[{"r", "[", 
           RowBox[{"n", ",", "j"}], "]"}]}], ")"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "1", ",", 
          RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"normgral", "=", 
      RowBox[{"NIntegrate", "[", 
       RowBox[{
        RowBox[{"SetPrecision", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Exp", "[", "z", "]"}], " ", 
           RowBox[{
            RowBox[{"t", "[", 
             RowBox[{"n", ",", "z"}], "]"}], "^", "2"}]}], ",", "50"}], "]"}],
         ",", 
        RowBox[{"{", 
         RowBox[{"z", ",", "0", ",", "zm"}], "}"}], ",", 
        RowBox[{"MaxRecursion", "\[Rule]", "12"}], ",", 
        RowBox[{"WorkingPrecision", "\[Rule]", "50"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"norm", "[", "n", "]"}], "=", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Exp", "[", "zm", "]"}], "-", "1"}], ")"}], "/", 
        "normgral"}], "]"}]}], ";", 
     RowBox[{
      RowBox[{"t", "[", 
       RowBox[{"n", ",", "z_"}], "]"}], "=", 
      RowBox[{
       RowBox[{"t", "[", 
        RowBox[{"n", ",", "z"}], "]"}], " ", 
       RowBox[{"norm", "[", "n", "]"}]}]}]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "1", ",", "Nmax"}], "}"}]}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ROOTS", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"r", "[", 
      RowBox[{"n", ",", "j"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "Nmax"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", 
       RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NORM", "  ", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"norm", "[", "n", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "1", ",", "Nmax"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"str", " ", "=", " ", 
  RowBox[{
  "OpenWrite", "[", "\"\<cosebi.header.tmp\>\"", 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"WriteString", "[", 
  RowBox[{
  "str", ",", " ", 
   "\"\<# COSEBIs log filter function t+log, zeros and \
normalisation\\n\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"WriteString", "[", 
  RowBox[{
  "str", ",", " ", "\"\<# Nmax theta_min[arcmin] theta_max[arcmin]\\n\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"WriteString", "[", 
  RowBox[{
  "str", ",", " ", "Nmax", ",", " ", "\"\< \>\"", ",", " ", "tmin", ",", " ", 
   "\"\< \>\"", ",", " ", "tmax", ",", " ", "\"\<\\n\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Close", "[", "str", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{
  "\"\<cosebi.rni.tmp\>\"", ",", " ", "ROOTS", ",", " ", "\"\<Table\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
   "\"\<cosebi.Nn.tmp\>\"", ",", " ", "NORM", ",", " ", "\"\<Table\>\""}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Run", "[", 
  "\"\<cat cosebi.header.tmp cosebi.rni.tmp cosebi.Nn.tmp > rni_Nn\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "Run", "[", "\"\<rm -f cosebi.header.tmp cosebi.rni.tmp cosebi.Nn.tmp\>\"", 
   "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cat", "=", 
   RowBox[{
    RowBox[{"StringJoin", "@@", 
     RowBox[{"(", 
      RowBox[{"ToString", "/@", 
       RowBox[{"{", "##", "}"}]}], ")"}]}], "&"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xxx", " ", "=", " ", 
   RowBox[{"cat", "[", 
    RowBox[{
    "\"\<cosebi_tplog_rN_\>\"", ",", " ", "Nmax", ",", " ", "\"\<_\>\"", ",", 
     " ", 
     RowBox[{"NumberForm", "[", 
      RowBox[{"tmin", ",", " ", 
       RowBox[{"{", 
        RowBox[{"5", ",", "3"}], "}"}]}], "]"}], ",", " ", "\"\<_\>\"", ",", 
     " ", 
     RowBox[{"NumberForm", "[", 
      RowBox[{"tmax", ",", " ", 
       RowBox[{"{", 
        RowBox[{"5", ",", "3"}], "}"}]}], "]"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"RenameFile", "[", 
  RowBox[{"\"\<rni_Nn\>\"", ",", " ", "xxx"}], "]"}]}], "Input",
 CellChangeTimes->{{3.510235079702673*^9, 3.5102350803701344`*^9}, {
   3.510235150765012*^9, 3.5102351761633387`*^9}, {3.510235503827465*^9, 
   3.510235515712905*^9}, {3.537262705453745*^9, 3.5372627213369102`*^9}, {
   3.537262759537324*^9, 3.5372627928218517`*^9}, {3.5372628244452553`*^9, 
   3.537262917883316*^9}, {3.537262953244278*^9, 3.537262953747745*^9}, {
   3.5372631258839808`*^9, 3.537263132903905*^9}, {3.537263163804451*^9, 
   3.537263201249565*^9}, {3.5372632366168633`*^9, 3.537263254198658*^9}, {
   3.53822733893604*^9, 3.5382273656517143`*^9}, {3.538227421315939*^9, 
   3.538227454307734*^9}, {3.5382275271504097`*^9, 3.5382275864599123`*^9}, {
   3.5382276268363037`*^9, 3.538227793365779*^9}, {3.538227832285783*^9, 
   3.5382279393951187`*^9}, {3.53822804514714*^9, 3.538228051171348*^9}, {
   3.538228083529336*^9, 3.538228222619418*^9}, {3.538228261979239*^9, 
   3.5382283053382196`*^9}, {3.538228340604273*^9, 3.538228354386177*^9}, {
   3.538228384952888*^9, 3.538228385208086*^9}, {3.538228433372209*^9, 
   3.5382285850255003`*^9}, {3.538228675056734*^9, 3.538228716544427*^9}, {
   3.538228799646882*^9, 3.5382288127957363`*^9}, {3.5382288718708467`*^9, 
   3.538228942274967*^9}, {3.538229121342205*^9, 3.5382291581182337`*^9}, {
   3.538229532011533*^9, 3.5382296591748877`*^9}, {3.5382297545868607`*^9, 
   3.538229759625947*^9}, {3.5382827600284986`*^9, 3.538282836605034*^9}, {
   3.538283629742289*^9, 3.538283630165021*^9}, {3.53830081993898*^9, 
   3.538300833465898*^9}, {3.538300882365719*^9, 3.538300912750791*^9}, 
   3.5384044593195972`*^9, {3.538404965899447*^9, 3.538404966384797*^9}, {
   3.538910737685761*^9, 3.538910827901499*^9}, {3.538912184709474*^9, 
   3.538912227532837*^9}, {3.538912264581842*^9, 3.538912273239273*^9}, {
   3.5389123338691397`*^9, 3.5389123346970387`*^9}, {3.538914057882554*^9, 
   3.5389140605502043`*^9}, {3.5389142545836163`*^9, 
   3.5389142569615297`*^9}, {3.538915081475*^9, 3.538915114424819*^9}, {
   3.538915383503401*^9, 3.538915386544738*^9}, {3.5389156972229967`*^9, 
   3.538915748805868*^9}, {3.5389158691837473`*^9, 3.538915871021706*^9}, {
   3.538915934515786*^9, 3.538915948140065*^9}, {3.5389160731830273`*^9, 
   3.538916080211708*^9}, {3.538916113890526*^9, 3.538916114893445*^9}, {
   3.5389161517006063`*^9, 3.538916159063116*^9}, {3.5389162716337*^9, 
   3.538916283028201*^9}, {3.538916324172183*^9, 3.5389163399684763`*^9}, {
   3.5389163944354486`*^9, 3.538916450889722*^9}, {3.538916562416786*^9, 
   3.538916565229891*^9}, {3.538916643352871*^9, 3.538916666617416*^9}, {
   3.539082605434134*^9, 3.539082620485873*^9}, {3.539082738599131*^9, 
   3.539082764771209*^9}, {3.539082848590376*^9, 3.539082860822089*^9}, {
   3.5390829126843433`*^9, 3.539082968961594*^9}, {3.539083022701844*^9, 
   3.539083025197459*^9}, {3.539083073309411*^9, 3.539083074092073*^9}, {
   3.539083142372993*^9, 3.539083256404458*^9}, {3.539083314191222*^9, 
   3.539083314869173*^9}, {3.5390841975187607`*^9, 3.5390842765773077`*^9}, {
   3.539175001965293*^9, 3.539175005301964*^9}, {3.539175297967507*^9, 
   3.5391753497240553`*^9}, {3.539175383998131*^9, 3.539175422506542*^9}, {
   3.5391754962554693`*^9, 3.539175510709031*^9}, {3.539175696815847*^9, 
   3.539175832571867*^9}, {3.539175868534214*^9, 3.539175871666725*^9}, {
   3.539177742112382*^9, 3.5391777572936163`*^9}, {3.539177998888979*^9, 
   3.539178122479844*^9}, {3.539178158914609*^9, 3.539178225123242*^9}, {
   3.5391782975783157`*^9, 3.539178386378236*^9}, {3.539178417548586*^9, 
   3.539178431886957*^9}, {3.53917853128119*^9, 3.539178585975018*^9}, {
   3.5391786168388577`*^9, 3.539178882113184*^9}, {3.53917893647056*^9, 
   3.539178973863864*^9}, {3.539179070839182*^9, 3.539179076796114*^9}, {
   3.5391791092276993`*^9, 3.5391791788964453`*^9}, {3.539179232969623*^9, 
   3.539179307995084*^9}, {3.5391800437160997`*^9, 3.539180044519925*^9}, {
   3.5392535654066963`*^9, 3.539253609281974*^9}, {3.541755882801222*^9, 
   3.5417558936921797`*^9}, 3.5417580966918573`*^9, {3.5417581395036077`*^9, 
   3.541758159967546*^9}, {3.54175823421852*^9, 3.541758235774889*^9}, {
   3.5417583270853567`*^9, 3.541758328120118*^9}, {3.54175836284408*^9, 
   3.541758370346291*^9}, {3.541758465120761*^9, 3.541758516851287*^9}, {
   3.541758668002994*^9, 3.541758692737708*^9}, {3.54176175883008*^9, 
   3.5417617806499777`*^9}, {3.541761815852888*^9, 3.5417619167352*^9}, {
   3.5417619564603653`*^9, 3.541762018908976*^9}, {3.5477852603561573`*^9, 
   3.5477852610165358`*^9}, {3.547785299465213*^9, 3.547785300095583*^9}, {
   3.54778538937049*^9, 3.5477854826654*^9}, {3.549715503805562*^9, 
   3.549715505545011*^9}, {3.5497155487579327`*^9, 3.54971554928273*^9}, {
   3.5497156076049557`*^9, 3.549715629953917*^9}, {3.54971566335538*^9, 
   3.549715690108005*^9}, {3.549768128729104*^9, 3.5497681290393*^9}, {
   3.549768370048954*^9, 3.549768370646805*^9}, {3.549775783732395*^9, 
   3.5497758090067997`*^9}, {3.549775843545825*^9, 3.5497758682260427`*^9}, {
   3.549775945159481*^9, 3.549775946962592*^9}, {3.5497782049443893`*^9, 
   3.5497782228748093`*^9}, {3.54978949245725*^9, 3.5497894932415457`*^9}, {
   3.552719069196404*^9, 3.552719071703473*^9}, {3.552719140780649*^9, 
   3.552719141089826*^9}, {3.552719187827856*^9, 3.552719187915097*^9}, {
   3.552719223205021*^9, 3.552719273751417*^9}, {3.552719357925561*^9, 
   3.5527193581073303`*^9}, {3.552724796370575*^9, 3.55272479999699*^9}, {
   3.5527250057184896`*^9, 3.552725024404859*^9}, {3.5528225756457977`*^9, 
   3.552822580470963*^9}, {3.552822637973815*^9, 3.5528226397997932`*^9}, {
   3.554433180888719*^9, 3.554433181782835*^9}, {3.554433237754299*^9, 
   3.5544332386635857`*^9}, {3.554433272975065*^9, 3.554433274346038*^9}, {
   3.5544338944567966`*^9, 3.5544339490458183`*^9}, 3.554434455648244*^9, {
   3.554434778184682*^9, 3.554434781511826*^9}, {3.554436081694005*^9, 
   3.554436081806923*^9}, {3.554436143728014*^9, 3.554436143805935*^9}, {
   3.5544361759204187`*^9, 3.554436176326042*^9}, {3.5544369904569387`*^9, 
   3.554436990559369*^9}, {3.5545317128927107`*^9, 3.554531716479126*^9}, {
   3.554532792989975*^9, 3.554532795236623*^9}, {3.554532834860196*^9, 
   3.554532888459096*^9}, {3.561090134717721*^9, 3.56109017145251*^9}, {
   3.56109021791511*^9, 3.561090222128895*^9}, 3.561090267881126*^9, 
   3.561090302292243*^9, {3.56109045595428*^9, 3.561090456142708*^9}}],

Cell[BoxData["0.174`"], "Output",
 CellChangeTimes->{
  3.5417618933097973`*^9, {3.5417619326115913`*^9, 3.5417620261939697`*^9}, 
   3.547785270714024*^9, {3.547785311486753*^9, 3.547785334285405*^9}, {
   3.547785398925308*^9, 3.547785469909543*^9}, 3.549715516267288*^9, 
   3.54971555961683*^9, {3.549715616550891*^9, 3.5497156384669523`*^9}, {
   3.549715675708222*^9, 3.5497156983722754`*^9}, 3.54976813843617*^9, {
   3.549775794016613*^9, 3.549775815359735*^9}, {3.5497758507740393`*^9, 
   3.549775875028076*^9}, 3.549775953228833*^9, {3.54977821313242*^9, 
   3.549778229468574*^9}, 3.549789500672269*^9, 3.552719082227414*^9, 
   3.552719148401408*^9, 3.552719195225425*^9, {3.55271922983116*^9, 
   3.5527192530126047`*^9}, 3.552719283876568*^9, 3.552719424725054*^9, 
   3.552725019475689*^9, 3.552822589206399*^9, {3.554433257058671*^9, 
   3.554433281652998*^9}, {3.554433901173081*^9, 3.55443395589321*^9}, 
   3.554434463738042*^9, 3.5544347895860653`*^9, 3.554436089208455*^9, 
   3.554436150741027*^9, 3.554436186080964*^9, 3.554532805222074*^9, {
   3.554532843861102*^9, 3.554532870424963*^9}, 3.561090295391811*^9}],

Cell[BoxData[
 RowBox[{"OutputStream", "[", 
  RowBox[{"\<\"cosebi.header.tmp\"\>", ",", "28"}], "]"}]], "Output",
 CellChangeTimes->{
  3.5417618933097973`*^9, {3.5417619326115913`*^9, 3.5417620261939697`*^9}, 
   3.547785270714024*^9, {3.547785311486753*^9, 3.547785334285405*^9}, {
   3.547785398925308*^9, 3.547785469909543*^9}, 3.549715516267288*^9, 
   3.54971555961683*^9, {3.549715616550891*^9, 3.5497156384669523`*^9}, {
   3.549715675708222*^9, 3.5497156983722754`*^9}, 3.54976813843617*^9, {
   3.549775794016613*^9, 3.549775815359735*^9}, {3.5497758507740393`*^9, 
   3.549775875028076*^9}, 3.549775953228833*^9, {3.54977821313242*^9, 
   3.549778229468574*^9}, 3.549789500672269*^9, 3.552719082227414*^9, 
   3.552719148401408*^9, 3.552719195225425*^9, {3.55271922983116*^9, 
   3.5527192530126047`*^9}, 3.552719283876568*^9, 3.552719424725054*^9, 
   3.552725019475689*^9, 3.552822589206399*^9, {3.554433257058671*^9, 
   3.554433281652998*^9}, {3.554433901173081*^9, 3.55443395589321*^9}, 
   3.554434463738042*^9, 3.5544347895860653`*^9, 3.554436089208455*^9, 
   3.554436150741027*^9, 3.554436186080964*^9, 3.554532805222074*^9, {
   3.554532843861102*^9, 3.554532870424963*^9}, 3.561090343590537*^9}],

Cell[BoxData["\<\"cosebi.header.tmp\"\>"], "Output",
 CellChangeTimes->{
  3.5417618933097973`*^9, {3.5417619326115913`*^9, 3.5417620261939697`*^9}, 
   3.547785270714024*^9, {3.547785311486753*^9, 3.547785334285405*^9}, {
   3.547785398925308*^9, 3.547785469909543*^9}, 3.549715516267288*^9, 
   3.54971555961683*^9, {3.549715616550891*^9, 3.5497156384669523`*^9}, {
   3.549715675708222*^9, 3.5497156983722754`*^9}, 3.54976813843617*^9, {
   3.549775794016613*^9, 3.549775815359735*^9}, {3.5497758507740393`*^9, 
   3.549775875028076*^9}, 3.549775953228833*^9, {3.54977821313242*^9, 
   3.549778229468574*^9}, 3.549789500672269*^9, 3.552719082227414*^9, 
   3.552719148401408*^9, 3.552719195225425*^9, {3.55271922983116*^9, 
   3.5527192530126047`*^9}, 3.552719283876568*^9, 3.552719424725054*^9, 
   3.552725019475689*^9, 3.552822589206399*^9, {3.554433257058671*^9, 
   3.554433281652998*^9}, {3.554433901173081*^9, 3.55443395589321*^9}, 
   3.554434463738042*^9, 3.5544347895860653`*^9, 3.554436089208455*^9, 
   3.554436150741027*^9, 3.554436186080964*^9, 3.554532805222074*^9, {
   3.554532843861102*^9, 3.554532870424963*^9}, 3.561090343776566*^9}],

Cell[BoxData["\<\"cosebi.rni.tmp\"\>"], "Output",
 CellChangeTimes->{
  3.5417618933097973`*^9, {3.5417619326115913`*^9, 3.5417620261939697`*^9}, 
   3.547785270714024*^9, {3.547785311486753*^9, 3.547785334285405*^9}, {
   3.547785398925308*^9, 3.547785469909543*^9}, 3.549715516267288*^9, 
   3.54971555961683*^9, {3.549715616550891*^9, 3.5497156384669523`*^9}, {
   3.549715675708222*^9, 3.5497156983722754`*^9}, 3.54976813843617*^9, {
   3.549775794016613*^9, 3.549775815359735*^9}, {3.5497758507740393`*^9, 
   3.549775875028076*^9}, 3.549775953228833*^9, {3.54977821313242*^9, 
   3.549778229468574*^9}, 3.549789500672269*^9, 3.552719082227414*^9, 
   3.552719148401408*^9, 3.552719195225425*^9, {3.55271922983116*^9, 
   3.5527192530126047`*^9}, 3.552719283876568*^9, 3.552719424725054*^9, 
   3.552725019475689*^9, 3.552822589206399*^9, {3.554433257058671*^9, 
   3.554433281652998*^9}, {3.554433901173081*^9, 3.55443395589321*^9}, 
   3.554434463738042*^9, 3.5544347895860653`*^9, 3.554436089208455*^9, 
   3.554436150741027*^9, 3.554436186080964*^9, 3.554532805222074*^9, {
   3.554532843861102*^9, 3.554532870424963*^9}, 3.561090344575259*^9}],

Cell[BoxData["\<\"cosebi.Nn.tmp\"\>"], "Output",
 CellChangeTimes->{
  3.5417618933097973`*^9, {3.5417619326115913`*^9, 3.5417620261939697`*^9}, 
   3.547785270714024*^9, {3.547785311486753*^9, 3.547785334285405*^9}, {
   3.547785398925308*^9, 3.547785469909543*^9}, 3.549715516267288*^9, 
   3.54971555961683*^9, {3.549715616550891*^9, 3.5497156384669523`*^9}, {
   3.549715675708222*^9, 3.5497156983722754`*^9}, 3.54976813843617*^9, {
   3.549775794016613*^9, 3.549775815359735*^9}, {3.5497758507740393`*^9, 
   3.549775875028076*^9}, 3.549775953228833*^9, {3.54977821313242*^9, 
   3.549778229468574*^9}, 3.549789500672269*^9, 3.552719082227414*^9, 
   3.552719148401408*^9, 3.552719195225425*^9, {3.55271922983116*^9, 
   3.5527192530126047`*^9}, 3.552719283876568*^9, 3.552719424725054*^9, 
   3.552725019475689*^9, 3.552822589206399*^9, {3.554433257058671*^9, 
   3.554433281652998*^9}, {3.554433901173081*^9, 3.55443395589321*^9}, 
   3.554434463738042*^9, 3.5544347895860653`*^9, 3.554436089208455*^9, 
   3.554436150741027*^9, 3.554436186080964*^9, 3.554532805222074*^9, {
   3.554532843861102*^9, 3.554532870424963*^9}, 3.561090344665215*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.5417618933097973`*^9, {3.5417619326115913`*^9, 3.5417620261939697`*^9}, 
   3.547785270714024*^9, {3.547785311486753*^9, 3.547785334285405*^9}, {
   3.547785398925308*^9, 3.547785469909543*^9}, 3.549715516267288*^9, 
   3.54971555961683*^9, {3.549715616550891*^9, 3.5497156384669523`*^9}, {
   3.549715675708222*^9, 3.5497156983722754`*^9}, 3.54976813843617*^9, {
   3.549775794016613*^9, 3.549775815359735*^9}, {3.5497758507740393`*^9, 
   3.549775875028076*^9}, 3.549775953228833*^9, {3.54977821313242*^9, 
   3.549778229468574*^9}, 3.549789500672269*^9, 3.552719082227414*^9, 
   3.552719148401408*^9, 3.552719195225425*^9, {3.55271922983116*^9, 
   3.5527192530126047`*^9}, 3.552719283876568*^9, 3.552719424725054*^9, 
   3.552725019475689*^9, 3.552822589206399*^9, {3.554433257058671*^9, 
   3.554433281652998*^9}, {3.554433901173081*^9, 3.55443395589321*^9}, 
   3.554434463738042*^9, 3.5544347895860653`*^9, 3.554436089208455*^9, 
   3.554436150741027*^9, 3.554436186080964*^9, 3.554532805222074*^9, {
   3.554532843861102*^9, 3.554532870424963*^9}, 3.561090344963503*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.5417618933097973`*^9, {3.5417619326115913`*^9, 3.5417620261939697`*^9}, 
   3.547785270714024*^9, {3.547785311486753*^9, 3.547785334285405*^9}, {
   3.547785398925308*^9, 3.547785469909543*^9}, 3.549715516267288*^9, 
   3.54971555961683*^9, {3.549715616550891*^9, 3.5497156384669523`*^9}, {
   3.549715675708222*^9, 3.5497156983722754`*^9}, 3.54976813843617*^9, {
   3.549775794016613*^9, 3.549775815359735*^9}, {3.5497758507740393`*^9, 
   3.549775875028076*^9}, 3.549775953228833*^9, {3.54977821313242*^9, 
   3.549778229468574*^9}, 3.549789500672269*^9, 3.552719082227414*^9, 
   3.552719148401408*^9, 3.552719195225425*^9, {3.55271922983116*^9, 
   3.5527192530126047`*^9}, 3.552719283876568*^9, 3.552719424725054*^9, 
   3.552725019475689*^9, 3.552822589206399*^9, {3.554433257058671*^9, 
   3.554433281652998*^9}, {3.554433901173081*^9, 3.55443395589321*^9}, 
   3.554434463738042*^9, 3.5544347895860653`*^9, 3.554436089208455*^9, 
   3.554436150741027*^9, 3.554436186080964*^9, 3.554532805222074*^9, {
   3.554532843861102*^9, 3.554532870424963*^9}, 3.5610903451444187`*^9}],

Cell[BoxData["\<\"cosebi_tplog_rN_20_0.174_80.000\"\>"], "Output",
 CellChangeTimes->{
  3.5417618933097973`*^9, {3.5417619326115913`*^9, 3.5417620261939697`*^9}, 
   3.547785270714024*^9, {3.547785311486753*^9, 3.547785334285405*^9}, {
   3.547785398925308*^9, 3.547785469909543*^9}, 3.549715516267288*^9, 
   3.54971555961683*^9, {3.549715616550891*^9, 3.5497156384669523`*^9}, {
   3.549715675708222*^9, 3.5497156983722754`*^9}, 3.54976813843617*^9, {
   3.549775794016613*^9, 3.549775815359735*^9}, {3.5497758507740393`*^9, 
   3.549775875028076*^9}, 3.549775953228833*^9, {3.54977821313242*^9, 
   3.549778229468574*^9}, 3.549789500672269*^9, 3.552719082227414*^9, 
   3.552719148401408*^9, 3.552719195225425*^9, {3.55271922983116*^9, 
   3.5527192530126047`*^9}, 3.552719283876568*^9, 3.552719424725054*^9, 
   3.552725019475689*^9, 3.552822589206399*^9, {3.554433257058671*^9, 
   3.554433281652998*^9}, {3.554433901173081*^9, 3.55443395589321*^9}, 
   3.554434463738042*^9, 3.5544347895860653`*^9, 3.554436089208455*^9, 
   3.554436150741027*^9, 3.554436186080964*^9, 3.554532805222074*^9, {
   3.554532843861102*^9, 3.554532870424963*^9}, 3.561090345239232*^9}],

Cell[BoxData["\<\"/Users/mkilbing/cosebi_tplog_rN_20_0.174_80.000\"\>"], \
"Output",
 CellChangeTimes->{
  3.5417618933097973`*^9, {3.5417619326115913`*^9, 3.5417620261939697`*^9}, 
   3.547785270714024*^9, {3.547785311486753*^9, 3.547785334285405*^9}, {
   3.547785398925308*^9, 3.547785469909543*^9}, 3.549715516267288*^9, 
   3.54971555961683*^9, {3.549715616550891*^9, 3.5497156384669523`*^9}, {
   3.549715675708222*^9, 3.5497156983722754`*^9}, 3.54976813843617*^9, {
   3.549775794016613*^9, 3.549775815359735*^9}, {3.5497758507740393`*^9, 
   3.549775875028076*^9}, 3.549775953228833*^9, {3.54977821313242*^9, 
   3.549778229468574*^9}, 3.549789500672269*^9, 3.552719082227414*^9, 
   3.552719148401408*^9, 3.552719195225425*^9, {3.55271922983116*^9, 
   3.5527192530126047`*^9}, 3.552719283876568*^9, 3.552719424725054*^9, 
   3.552725019475689*^9, 3.552822589206399*^9, {3.554433257058671*^9, 
   3.554433281652998*^9}, {3.554433901173081*^9, 3.55443395589321*^9}, 
   3.554434463738042*^9, 3.5544347895860653`*^9, 3.554436089208455*^9, 
   3.554436150741027*^9, 3.554436186080964*^9, 3.554532805222074*^9, {
   3.554532843861102*^9, 3.554532870424963*^9}, 3.561090345328272*^9}]
}, Open  ]]
},
WindowSize->{826, 860},
WindowMargins->{{Automatic, 77}, {Automatic, 0}},
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (June 19, 2007)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 18896, 465, 688, "Input"],
Cell[19489, 490, 1137, 16, 27, "Output"],
Cell[20629, 508, 1218, 18, 27, "Output"],
Cell[21850, 528, 1156, 16, 27, "Output"],
Cell[23009, 546, 1153, 16, 27, "Output"],
Cell[24165, 564, 1152, 16, 27, "Output"],
Cell[25320, 582, 1132, 16, 27, "Output"],
Cell[26455, 600, 1134, 16, 27, "Output"],
Cell[27592, 618, 1170, 16, 27, "Output"],
Cell[28765, 636, 1188, 17, 27, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
